Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Interface PrimitiveType

All Superinterfaces:
  Mirror, Type

All Known Subinterfaces:
  BooleanType, ByteType, CharType, DoubleType, FloatType, IntegerType, LongType, ShortType

    public interface PrimitiveType

extends Type

The type associated with non-object values in a target VM. Instances of one of the sub-interfaces of this interface will be returned from `Value.type()` for all `PrimitiveValue` objects.

Since:
  1.3
See Also:
  `PrimitiveValue`

Method Summary

Methods inherited from interface com.sun.jdi.Type
`name, signature`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD